## com.gargoylesoftware.htmlunit
Class ThreadedRefreshHandler

    java.lang.Object
      com.gargoylesoftware.htmlunit.ThreadedRefreshHandler

All Implemented Interfaces:
  RefreshHandler

    public class ThreadedRefreshHandler

extends java.lang.Object
implements RefreshHandler

This refresh handler spawns a new thread that waits the specified number of seconds before refreshing the specified page, using the specified URL. If you want a refresh handler that ignores the wait time, see `ImmediateRefreshHandler`.

Version:
  $Revision: 4789 $
Author:
  Mike Bowler, Daniel Gredler

Constructor Summary
`ThreadedRefreshHandler()`

Method Summary
`void` `handleRefresh(Page page, java.net.URL url, int seconds)` Refreshes the specified page using the specified URL after the specified number of seconds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadedRefreshHandler

    public ThreadedRefreshHandler()

Method Detail

### handleRefresh

    public void handleRefresh(Page page,
                              java.net.URL url,
                              int seconds)

  Refreshes the specified page using the specified URL after the specified number of seconds.

  Specified by:
    `handleRefresh` in interface `RefreshHandler`
  Parameters:
    `page` - the page that is going to be refreshed
    `url` - the URL where the new page will be loaded
    `seconds` - the number of seconds to wait before reloading the page

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.